package com.ruoyi.test;

import org.junit.jupiter.api.Test;

import java.math.BigDecimal;

public class NumberTest {

    @Test
    public void 向上取整() {

        BigDecimal b1 = new BigDecimal("83");
        BigDecimal b2 = new BigDecimal("96");

//        BigDecimal b33 = b1.divide(b2, 4, BigDecimal.ROUND_HALF_UP); //输出：1.26
//        System.out.println("b33 = " + b33);


        //四舍五入保留两位小数
//        BigDecimal b3 = b1.divide(b2, 2, BigDecimal.ROUND_HALF_UP); //输出：1.26
//        System.out.println("b3 = " + b3);
        //保留两位小数向上取整
        BigDecimal b6 = b1.divide(b2, 2, BigDecimal.ROUND_UP); //输出：1.26
        System.out.println("b6 = " + b6);

        //向上取整
//        BigDecimal b4 = b1.divide(b2, BigDecimal.ROUND_UP); //输出：2
//        System.out.println("b4 = " + b4);
        //向下取整
//        BigDecimal b5 = b1.divide(b2, BigDecimal.ROUND_DOWN); //输出：1
//        System.out.println("b5 = " + b5);

        // 按照整数位向上取整
//        b7.setScale(0, BigDecimal.ROUND_UP); //输出 13


        int intValue = b6.multiply(new BigDecimal(100)).setScale(0, BigDecimal.ROUND_HALF_UP).intValue();
        System.out.println("intValue = " + intValue);
    }
}
